# List accounts

List accounts. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Account

GET `/Account`

List accounts. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna todas as contas cadastradas.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>EnabledFilter</code></td><td><code>query</code></td><td><code>EnabledFilter</code></td><td>No</td><td>0 = All; 1 = Enabled; 2 = Disabled</td><td>—</td></tr><tr><td><code>Name</code></td><td><code>query</code></td><td><code>string</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>CustomerTenantId</code></td><td><code>query</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Account?EnabledFilter={EnabledFilter}&Name={Name}&CustomerTenantId={CustomerTenantId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar as contas</td><td><code>application/json</code> · <code>array&lt;AccountDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "id": 0,
    "name": "string",
    "legalName": "string",
    "site": "string",
    "linkedInUrl": "string",
    "email": "string",
    "taxId": "string",
    "enabled": true,
    "customerTenantId": 0
  }
]
```



## Data models

`AccountDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>legalName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>site</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>linkedInUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>email</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>taxId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>enabled</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>customerTenantId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`EnabledFilter`0 = All; 1 = Enabled; 2 = Disabled

`integer`
